---
schema_version: "1"
id: 2cee4c84811c37f0ef5dd7df0ad387c259ea50d4cda215d4adc7b39f607c2b6f
title: GET /sms/v1/contacts/refreshList/{id}/status/{tokenId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getRefreshSMSAudience.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/getRefreshSMSAudience.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: ba6dee77b65aa4a56e66908637e9e368e17ec191b45e828a18aca4cb4de70aad
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /sms/v1/contacts/refreshList/{id}/status/{tokenId}

Retrieves the refresh list status.

## URL Parameters

| Name      | Type   | Description                                                           |
| --------- | ------ | --------------------------------------------------------------------- |
| `ListID`  | String | Required. The ID of the list found in the MobileConnect interface     |
| `TokenID` | String | Required. The unique ID returned when using the RefreshList operation |

## Usage

This sample request shows how to retrieve the status of a list.

```
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /sms/contacts/refreshList/LIST_ID/status/TOKEN_ID
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

The response contains information about the specified list.

```json
{
  "tokenId": "NDo8NDow",
  "publishDate": "2012-12-18T15:42:15.080Z"
}
```

If the request wasn't valid, the API returns a 400 response that includes details about the error that occurred.
